Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.wsdl
Class Wsdl11Reader.CustomWSDLLocator

    java.lang.Object
      org.modeshape.sequencer.wsdl.Wsdl11Reader.CustomWSDLLocator

All Implemented Interfaces:
  javax.wsdl.xml.WSDLLocator

Enclosing class:
  Wsdl11Reader

    protected class Wsdl11Reader.CustomWSDLLocator

extends Object
implements javax.wsdl.xml.WSDLLocator

Field Summary
`protected InputSource` | `baseInputSource`
`protected String` | `baseUri`
`protected InputSource` | `emptyInputSource`

Constructor Summary
`protected` | `Wsdl11Reader.CustomWSDLLocator(InputSource baseInputSource, String baseUri)`

Method Summary
`void` | `close()`
`InputSource` | `getBaseInputSource()`
`String` | `getBaseURI()`
`InputSource` | `getImportInputSource(String parentLocation, String importLocation)`
`String` | `getLatestImportURI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseInputSource

    protected final InputSource baseInputSource

### emptyInputSource

    protected final InputSource emptyInputSource

### baseUri

    protected final String baseUri

Constructor Detail

### Wsdl11Reader.CustomWSDLLocator

    protected Wsdl11Reader.CustomWSDLLocator(InputSource baseInputSource,
                                             String baseUri)

Method Detail

### getLatestImportURI

    public String getLatestImportURI()

  Specified by:
    `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

### getImportInputSource

    public InputSource getImportInputSource(String parentLocation,
                                            String importLocation)

  Specified by:
    `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### getBaseURI

    public String getBaseURI()

  Specified by:
    `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

### getBaseInputSource

    public InputSource getBaseInputSource()

  Specified by:
    `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### close

    public void close()

  Specified by:
    `close` in interface `javax.wsdl.xml.WSDLLocator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.